--
-- $Id$
--
-- Customer specific once-script VLKC6.
DEFINE thisfile = 'VLKC6.SQL'
DEFINE dbuser   = '^VLKC'
DEFINE custid   = 'VLKC'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- Import vanuit Strukton
CREATE TABLE vlkc_imp_opdrstat_strukton
(
   mld_opdr_key    NUMBER (10),
   extern_nummer   VARCHAR2 (100),
   status          NUMBER (10),
   datumtijd       DATE,
   opmerking       VARCHAR2 (1000),
   totaal          NUMBER (8, 2)
);

COMMIT;

INSERT INTO prs_perslid (prs_perslid_key,
                         prs_perslid_module,
                         prs_srtperslid_key,
                         prs_afdeling_key,
                         prs_perslid_naam,
                         prs_perslid_voornaam,
                         prs_perslid_nr,
                         prs_perslid_oslogin,
                         prs_perslid_dienstverband)
   SELECT 5,
          prs_perslid_module,
          prs_srtperslid_key,
          prs_afdeling_key,
          'Pseudo-user tbv. Strukton-koppeling',
          '-',
          'NIET VERWIJDEREN',
          '_STRUKTON',
          prs_perslid_dienstverband
     FROM prs_perslid
    WHERE prs_perslid_oslogin = '_FACILITOR';

COMMIT;

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$'); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

@@&custid
